from fastapi import HTTPException, status

from fastapi_jwt_auth import AuthJWT

def AccessTokenValidadtion(Authorize):
    try:
        Authorize.jwt_required()
        current_user = Authorize.get_jwt_subject()
        return current_user
    except Exception:
        raise HTTPException(
            status_code=status.HTTP_401_UNAUTHORIZED,
            detail="The access token is invalid or expired.",
            headers={"WWW-Authenticate": "Bearer"},
        )
